#
# spec file for package python-azure-servicebus
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-azure-servicebus
Version:        7.6.0
Release:        150200.10.3.2
Summary:        Microsoft Azure Service Bus Runtime Client Library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-servicebus/azure-servicebus-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common < 2.0.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-core < 2.0.0
Requires:       python-azure-core >= 1.14.0
Requires:       python-azure-nspkg >= 3.0.0
Requires:       python-isodate >= 0.6.0
Requires:       python-msrest < 2.0.0
Requires:       python-msrest >= 0.6.17
Requires:       python-six >= 1.11.0
Requires:       python-uamqp < 2.0.0
Requires:       python-uamqp >= 1.5.1
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Service Bus Client Library.
This package has been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

Microsoft Azure Service Bus supports a set of cloud-based, message-oriented
middleware technologies including reliable message queuing and durable
publish/subscribe messaging.

%prep
%setup -q -n azure-servicebus-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-servicebus-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{python_sitelib}/azure/servicebus
%{python_sitelib}/azure_servicebus-*.egg-info

%changelog
* Thu Jul 21 2022 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1199282, jsc#PM-3243, jsc#SLE-24629)
* Fri Feb 11 2022 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.6.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Jan 13 2022 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.5.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Wed Nov 10 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.4.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Oct  7 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.3.4
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Thu Sep  9 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.3.3
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Jul 22 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.3.1
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Thu Jun 10 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.3.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Fri May  7 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.1.1
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Tue Mar 23 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.1.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Tue Jan 19 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 7.0.1
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Tue Dec 15 2020 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Thu Nov 26 2020 rjschwei@suse.com
- Only build Python3 flavors for distributions 15 and greater
* Fri Aug 28 2020 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.50.3
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Rename HISTORY.rst to CHANGELOG.md in %%files section
- Rename README.rst to README.md in %%files section
- Update Requires from setup.py
* Thu Jan 23 2020 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.50.2
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Update %%description from README.rst
- Update Requires from setup.py
* Fri Oct  4 2019 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.50.1
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Drop patches to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + as_drop-compatible-releases-operator.patch
  + as_drop-extras-require.patch
* Mon Apr 15 2019 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.50.0
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + as_drop-compatible-releases-operator.patch
- Add patch to drop extras_require field from setup.py,
  required for SLES12 as the setuptools version is too old
  + as_drop-extras-require.patch
- Bump minimum version for namespace packages
  to 3.0.0 in BuildRequires and Requires
- Remove python-devel package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
- Update BuildRequires and Requires from setup.py
* Thu Sep  6 2018 adrian.glaubitz@suse.com
- Move LICENSE.txt from %%doc to %%license section
* Tue Jan 30 2018 adrian.glaubitz@suse.com
- Install HISTORY.rst into doc directory
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Remove versioning for namespace packages in Requires
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Fri Jul 14 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
* Wed Jun 28 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.21.1
